Subject: Re: Cygwin Compile of NetBSD 1.6
From: "Max Bowsher" <[email-masked]>
To: "Christos Dritsas" <[email-masked]>
Cc: <[email-masked]>
Date: Sat, 1 Feb 2003 18:16:59 -0000

> Max Bowsher wrote:
>> The output you posted looks like a standard autoconf-type configure.
>> I think that the config.log should be created in the current working
>> directory when configure is executed. I can't imagine how it could
>> not be created. This build.sh doesn't locate the temporary build
>> stuff in /tmp, or somewhere, does it?

Christos Dritsas wrote:
> Not too sure, here is the relevent code from the build.sh script
> though: 
> 
> # Build bootstrap nbmake if needed.
> if $do_rebuildmake; then
>     $runcmd echo "===> Bootstrapping nbmake"
>     tmpdir="${TMPDIR-/tmp}/nbbuild$$"

Aha. It does put it elsewhere.

> 
>     $runcmd mkdir "$tmpdir" || bomb "cannot mkdir: $tmpdir"
>     trap "cd /; rm -r -f \"$tmpdir\"" 0

And it removes it all when the script exits.

> I did also look for the config.log under $TOP/tools/make/ but found
> nothing.

Now you know why.

Max.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/